Bug 860675 - Change frequency in which RHN Tomcat logs are rotated
Change frequency in which RHN Tomcat logs are rotated
Status: CLOSED CURRENTRELEASE
Product: Red Hat Network
Classification: Red Hat
Component: RHN/Backend (Show other bugs)
MR42 (AMS)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jonathon Turel
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-26 09:02 EDT by Brooks
Modified: 2012-11-02 09:29 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-02 09:29:31 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Brooks 2012-09-26 09:02:49 EDT
Description of problem:
Currently tomcat logs are rotated once a week, which makes debugging difficult. The customer requests these be rotated once a day.

The location of these logs are
/var/log/tomcat5/catalina.out

files, on the java0[1-8].rhn box

Version-Release number of selected component (if applicable):
N/A

How reproducible:
Everytime

Steps to Reproduce:
N/A
  
Actual results:
Logs are rotated once a week

Expected results:
Logs should be rotated at least once a day

Additional info:
This was requested in Remedy ticket INC000000531036
Comment 1 Brooks 2012-09-26 09:08:21 EDT
US25965
Comment 2 Brooks 2012-09-27 14:13:53 EDT
FYI

This bug requires a puppet change, this is why this has been listed as a bug.
Comment 3 Derek Brown 2012-10-10 14:47:24 EDT
code review looks good.
Comment 5 Nicole Yancey 2012-10-16 13:39:05 EDT
No testing required.  Change status to Modified.
Comment 6 Nicole Yancey 2012-10-23 15:06:30 EDT
verified onhttp://java01.rhn.qa.ext.phx1.redhat.com:8888/tomcat5-logs/

Note You need to log in before you can comment on or make changes to this bug.